package org.springblade.system.expand.feign;

import org.springblade.system.expand.entity.CustomMenu;
import org.springblade.system.expand.vo.CustomMenuVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CustomMenuClientFallback implements ICustomMenuClient {
            /**
         * 详情
         */
        @Override
        public CustomMenuVO detail(CustomMenu customMenu) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<CustomMenuVO> list(CustomMenu customMenu) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( CustomMenu customMenu) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( CustomMenu customMenu) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( CustomMenu customMenu) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
